
Name:		phdf5_1.8.17
Version:	201702080713
Release:	hpe_hpcstack%{?dist}
Summary:	A general purpose library and file format for storing scientific data

License:	Hierarchical Data Format (HDF) Software Library and Utilities License
URL:		http://www.hdfgroup.org/HDF5
Source:	hdf5-1.8.17.tar.gz
Requires: environment-modules

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /opt/hpe/hpc/phdf5/1.8.17


%description

A general purpose library and file format for storing scientific data

%prep
%setup -q -n hdf5-1.8.17

%build
rm -rf BuildHERE
mkdir BuildHERE
cd BuildHERE
../configure --enable-parallel --with-zlib=/usr/lib64/ --prefix=/opt/hpe/hpc/phdf5/1.8.17
make -j 4
make -j 4 all
make DESTDIR=/tmp/root/phdf5-1.8.17-vTjEnwLsC install
cd -

%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/phdf5-1.8.17-vTjEnwLsC %{buildroot}


mkdir -p %{buildroot}/opt/hpe/hpc/modules/phdf5
cat >%{buildroot}/opt/hpe/hpc/modules/phdf5/1.8.17 <<EOF
#%Module1.0

# Module file for phdf5-1.8.17


proc ModulesHelp { } {
        puts stderr "Set up the paths for phdf5-1.8.17"
}

prepend-path PATH /opt/hpe/hpc/phdf5/1.8.17/bin
prepend-path LD_LIBRARY_PATH /opt/hpe/hpc/phdf5/1.8.17/lib
prepend-path MANPATH /opt/hpe/hpc/phdf5/1.8.17/share/man
prepend-path --delim " " CPPFLAGS "-I/opt/hpe/hpc/phdf5/1.8.17/include"
prepend-path --delim " " LDFLAGS "-L/opt/hpe/hpc/phdf5/1.8.17/lib"
setenv PHDF5_PATH /opt/hpe/hpc/phdf5/1.8.17
EOF
cat >%{buildroot}/opt/hpe/hpc/modules/phdf5/.version <<EOF
#%Module1.0
set ModulesVersion "1.8.17"
EOF


mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/phdf5/1.8.17/
cp /tmp/root/phdf5-1.8.17-QMGVSj26N/TESTS/phdf5.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/phdf5/1.8.17/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/phdf5/1.8.17/* || true

%clean
rm -rf %{buildroot}





%files
%defattr(-,root,root,-)
%{prefix}/*
/opt/hpe/hpc/modules
/opt/hpe/hpc/test

%changelog
